function [traffic] = original_social_traffic(Adj, parent_degrees)
% Adj - square mxm
% parent_degrees - row 1xm
% recorded_node_list - row 1xm, with only nnz elemebts at start useful

path_lengths = all_shortest_paths(Adj);
resharing_factor = 0.3; % assume 30% of ppl resahre

traffic = sum(parent_degrees);
for i = 1 : length(parent_degrees)    
    connected_nodes = find( (inf ~= path_lengths(i,:)) & (path_lengths(i,:) ~= 0) );
    traffic = traffic + sum( (resharing_factor .^ path_lengths(i,connected_nodes)) .*  parent_degrees(connected_nodes) );
end